Bug 1589779 - Inconsistency between CPU cores count from template between APIv3 and APIv4
Summary: Inconsistency between CPU cores count from template between APIv3 and APIv4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On: 1458754
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-11 11:42 UTC by Lukáš Hellebrandt
Modified: 2019-11-05 23:23 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-rbovirt-0.1.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:01:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23916 None None None 2018-06-13 10:31:47 UTC

Description Lukáš Hellebrandt 2018-06-11 11:42:57 UTC
Description of problem:
In a host creation form, when I select a RHEV CR that uses APIv4 and select some image in the OS tab, I get incorrect number (1) in Cores field in the VM tab. This does not happen with APIv3. I guess this is caused by actually using processor count instead of core count.

Version-Release number of selected component (if applicable):
Sat 6.4 snap 7

How reproducible:
Deterministic

Steps to Reproduce:
1. Have a Sat, RHEV with some template with cpu_count!=cores!=1, this RHEV added to Sat (with apiv4==true) and Image assigned to it, using that template
2. Hosts -> Create Host
3. Select RHEV as provider, go to OS tab, select arch + OS, select Image Based
4. Select the image, go to VM tab

Actual results:
Cores==1

Expected results:
Cores should be number of cores set in the template

Comment 2 orabin 2018-06-13 10:31:45 UTC
Created redmine issue http://projects.theforeman.org/issues/23916 from this bug

Comment 4 orabin 2018-06-13 12:12:55 UTC
This happens when selecting a template or filling in an image.

The number of cores shown in APIv3 is the total virtual CPUs count (cores and sockets together) but APIv4 shows only the cores.

Comment 5 pm-sat@redhat.com 2018-06-13 12:22:54 UTC
Upstream bug assigned to mshira@redhat.com

Comment 6 pm-sat@redhat.com 2018-06-13 12:22:57 UTC
Upstream bug assigned to mshira@redhat.com

Comment 7 pm-sat@redhat.com 2018-07-24 10:28:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23916 has been resolved.

Comment 9 Lukáš Hellebrandt 2018-08-28 09:31:10 UTC
Verified with Sat 6.4 snap 18.

Used reproducer from OP. The template's CPU settings was 2:3:1 which resulted in Sockets==2 and Cores==3 in WebUI.

Comment 10 Bryan Kearney 2018-10-16 19:01:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.